@media (min-width: 480px) {
  body {
    font-size: 1rem;
  }

  small {
    font-size: 0.85rem;
  }

  h6 {
    font-size: 1.15rem;
  }

  h5 {
    font-size: 1.25rem;
  }

  h4 {
    font-size: 1.5rem;
  }

  h2 {
    font-size: 2rem;
  }

  h1 {
    font-size: 2.5rem;
  }

  a.a-button {
    font-size: 0.9rem;
    padding: 0.4rem 0.8rem;
  }

  #shop-main #shop-container {
    grid-template-columns: 1fr 1fr;
  }

  .cart-item {
    flex-direction: row;
    justify-content: space-between;
  }

  div.qty {
    gap: 0;
  }

  .cart-item div.group2 {
    justify-content: flex-end;
    align-items: center;
    margin-left: 0;
    padding-left: 0;
  }
}

@media (min-width: 500px) {
  header img {
    padding-right: 7rem;
  }
}

@media (min-width: 650px) {
  .product-details {
    text-align: left;
    flex-grow: 1;
  }
}

@media (min-width: 700px) {
  nav ul {
    display: flex;
  }

  div.header-icons {
    padding-right: 0;
  }

  #menu {
    display: none;
  }

  .vendor-card {
    min-width: 100%;
  }
}

@media (min-width: 768px) {
  body {
    font-size: 1.05rem;
  }

  small {
    font-size: 0.9rem;
  }

  h6 {
    font-size: 1.25rem;
  }

  h5 {
    font-size: 1.375rem;
  }

  h4 {
    font-size: 1.75rem;
  }

  h2 {
    font-size: 2.5rem;
  }

  h1 {
    font-size: 3rem;
  }

  a.a-button,
  span.a-button {
    font-size: 1rem;
    padding: 0.5rem 1rem;
  }

  section#about {
    flex-direction: row;
    gap: 4rem;
  }

  section#about figure {
    flex-direction: column;
    align-items: center;
    padding: 2rem;
  }

  section#about figure img {
    min-width: 80px;
    height: auto;
  }

  section#about p {
    max-width: 80ch;
    font-size: 1rem;
    text-align: left;
  }

  .group {
    text-align: left;
  }

  section#vendors-hp .grid-container {
    grid-template-columns: 1fr 1fr 1fr 1fr;
  }

  #shop-main #shop-container {
    grid-template-columns: 1fr 1fr 1fr;
  }

  .cart-grid {
    grid-template-columns: 1fr 1fr;
  }
}

@media (min-width: 830px) {
  .product-profile,
  .vendor-grid {
    display: grid;
    grid-template-columns: 1fr 1fr;
  }
}

@media (min-width: 1024px) {
  body {
    font-size: 1.1rem;
  }

  small {
    font-size: 0.95rem;
  }

  h6 {
    font-size: 1.35rem;
  }

  h5 {
    font-size: 1.5rem;
  }

  h4 {
    font-size: 2rem;
  }

  h2 {
    font-size: 3rem;
  }

  h1 {
    font-size: 3.5rem;
  }

  #shop-main #shop-container {
    grid-template-columns: 1fr 1fr 1fr 1fr;
  }
}
